<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>wims: CAS Proxy features (CAS 2.0, Proxy Granting Tickets)</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>CAS Proxy features (CAS 2.0, Proxy Granting Tickets)<br/>
<small>
[<a class="el" href="group__internal.html">Implementation</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Modules</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_p_g_t_storage.html">PGT storage</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_callback.html">Callback from the CAS server</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#ga2fc9093d2b76fdcce819ca693021f0c9">CASClient::isProxy</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#gaf4f57e87e57847f93ebac1acacc60f8a">CASClient::getPGT</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#gaeccecf5dc011daf09720c1acf4380f63">CASClient::setPGT</a> ($pgt)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#ga432d879c0441763b4c1c1582bf1bc44c">CASClient::hasPGT</a> ()</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#ga3439bf6d03dccb2d1d4a44d7bf4d17b0">CASClient::$_proxy</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__internal_proxy.html#gad08b04a7a65b9a20096a23486b5d562a">CASClient::$_pgt</a></td></tr>
</table>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="gaf4f57e87e57847f93ebac1acacc60f8a"></a><!-- doxytag: member="CASClient::getPGT" ref="gaf4f57e87e57847f93ebac1acacc60f8a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::getPGT </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method returns the Proxy Granting Ticket given by the CAS server. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>The Proxy Granting Ticket. </dd></dl>

</div>
</div>
<a class="anchor" id="ga432d879c0441763b4c1c1582bf1bc44c"></a><!-- doxytag: member="CASClient::hasPGT" ref="ga432d879c0441763b4c1c1582bf1bc44c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::hasPGT </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method tells if a Proxy Granting Ticket was stored. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE if a Proxy Granting Ticket has been stored. </dd></dl>

</div>
</div>
<a class="anchor" id="ga2fc9093d2b76fdcce819ca693021f0c9"></a><!-- doxytag: member="CASClient::isProxy" ref="ga2fc9093d2b76fdcce819ca693021f0c9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::isProxy </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Tells if a CAS client is a CAS proxy or not</p>
<dl class="return"><dt><b>Returns:</b></dt><dd>TRUE when the CAS client is a CAs proxy, FALSE otherwise </dd></dl>

</div>
</div>
<a class="anchor" id="gaeccecf5dc011daf09720c1acf4380f63"></a><!-- doxytag: member="CASClient::setPGT" ref="gaeccecf5dc011daf09720c1acf4380f63" args="($pgt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::setPGT </td>
          <td>(</td>
          <td class="paramtype">$&nbsp;</td>
          <td class="paramname"> <em>pgt</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This method stores the Proxy Granting Ticket. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>$pgt</em>&nbsp;</td><td>The Proxy Granting Ticket. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="gad08b04a7a65b9a20096a23486b5d562a"></a><!-- doxytag: member="CASClient::$_pgt" ref="gad08b04a7a65b9a20096a23486b5d562a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_pgt<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>the Proxy Grnting Ticket given by the CAS server (empty otherwise). Written by <a class="el" href="group__internal_proxy.html#gaeccecf5dc011daf09720c1acf4380f63">CASClient::setPGT()</a>, read by <a class="el" href="group__internal_proxy.html#gaf4f57e87e57847f93ebac1acacc60f8a">CASClient::getPGT()</a> and <a class="el" href="group__internal_proxy.html#ga432d879c0441763b4c1c1582bf1bc44c">CASClient::hasPGT()</a>. </p>

</div>
</div>
<a class="anchor" id="ga3439bf6d03dccb2d1d4a44d7bf4d17b0"></a><!-- doxytag: member="CASClient::$_proxy" ref="ga3439bf6d03dccb2d1d4a44d7bf4d17b0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CASClient::$_proxy<code> [private, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>A boolean telling if the client is a CAS proxy or not. Written by <a class="el" href="group__internal_config.html#ga8835a61f1bd234295466079e8b3c83af">CASClient::CASClient()</a>, read by <a class="el" href="group__internal_proxy.html#ga2fc9093d2b76fdcce819ca693021f0c9">CASClient::isProxy()</a>. </p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Thu Oct 8 11:33:56 2009 for wims by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
